"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || (function () {
    var ownKeys = function(o) {
        ownKeys = Object.getOwnPropertyNames || function (o) {
            var ar = [];
            for (var k in o) if (Object.prototype.hasOwnProperty.call(o, k)) ar[ar.length] = k;
            return ar;
        };
        return ownKeys(o);
    };
    return function (mod) {
        if (mod && mod.__esModule) return mod;
        var result = {};
        if (mod != null) for (var k = ownKeys(mod), i = 0; i < k.length; i++) if (k[i] !== "default") __createBinding(result, mod, k[i]);
        __setModuleDefault(result, mod);
        return result;
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = transformAvatar;
const transforms_1 = require("../../shared/transforms");
const utils_1 = require("../../shared/utils");
const t = __importStar(require("@babel/types"));
function updateAvatarSize(path) {
    if (t.isJSXElement(path.node) &&
        t.isJSXIdentifier(path.node.openingElement.name) &&
        (0, utils_1.getName)(path, path.node.openingElement.name) === 'Avatar') {
        let sizeAttrPath = path.get('openingElement').get('attributes').find((attr) => t.isJSXAttribute(attr.node) && attr.node.name.name === 'size');
        if (sizeAttrPath) {
            let value = sizeAttrPath.node.value;
            if (value?.type === 'StringLiteral') {
                const avatarDimensions = {
                    'avatar-size-50': 16,
                    'avatar-size-75': 18,
                    'avatar-size-100': 20,
                    'avatar-size-200': 22,
                    'avatar-size-300': 26,
                    'avatar-size-400': 28,
                    'avatar-size-500': 32,
                    'avatar-size-600': 36,
                    'avatar-size-700': 40
                };
                let val = avatarDimensions[value.value];
                if (val != null) {
                    sizeAttrPath.node.value = t.jsxExpressionContainer(t.numericLiteral(val));
                }
            }
        }
    }
}
/**
 * Transforms Avatar:
 * - Comment out isDisabled (it has not been implemented yet).
 * - Update size to be a pixel value if it currently matches 'avatar-size-*'.
 */
function transformAvatar(path) {
    // Comment out isDisabled
    (0, transforms_1.commentOutProp)(path, { propName: 'isDisabled' });
    // Update size to be a pixel value if it currently matches 'avatar-size-*'
    updateAvatarSize(path);
}
