"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = transformBreadcrumbs;
const transforms_1 = require("../../shared/transforms");
/**
 * Transforms Breadcrumbs:
 * - Comment out showRoot (it has not been implemented yet).
 * - Comment out isMultiline (it has not been implemented yet).
 * - Comment out autoFocusCurrent (it has not been implemented yet).
 * - Remove size="S" (Small is no longer a supported size in Spectrum 2).
 * - Add comment to wrap in nav element if needed.
 */
function transformBreadcrumbs(path) {
    // Comment out showRoot
    (0, transforms_1.commentOutProp)(path, { propName: 'showRoot' });
    // Comment out isMultiline
    (0, transforms_1.commentOutProp)(path, { propName: 'isMultiline' });
    // Comment out autoFocusCurrent
    (0, transforms_1.commentOutProp)(path, { propName: 'autoFocusCurrent' });
    // Remove size="S"
    (0, transforms_1.removeProp)(path, { propName: 'size', propValue: 'S' });
    // Add comment to wrap in nav element if needed
    (0, transforms_1.addCommentToElement)(path, {
        comment: 'S2 Breadcrumbs no longer includes a nav element by default. You can wrap the Breadcrumbs component in a nav element if needed.'
    });
}
