"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = transformDialogContainer;
const transform_1 = require("../DialogTrigger/transform");
const transforms_1 = require("../../shared/transforms");
/**
 * Transforms DialogContainer:
 * - Remove type (dependent on the dialog level child used, e.g., Dialog, FullscreenDialog, Popover).
 * - Move isDismissable (as isDismissible) to the dialog level component.
 * - Move isKeyboardDismissDisabled to the dialog level component.
 */
function transformDialogContainer(path) {
    // Move isDismissable (as isDismissible) to the dialog level component
    (0, transforms_1.updatePropName)(path, { oldPropName: 'isDismissable', newPropName: 'isDismissible' });
    (0, transform_1.updateDialogChild)(path);
}
