"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = transformForm;
const transforms_1 = require("../../shared/transforms");
/**
 * Transforms Form:
 * - Remove isQuiet (it is no longer supported in Spectrum 2).
 * - Remove isReadOnly (it is no longer supported in Spectrum 2).
 * - Remove validationState (it is no longer supported in Spectrum 2).
 * - Remove validationBehavior (it is no longer supported in Spectrum 2).
 */
function transformForm(path) {
    // Remove isQuiet
    (0, transforms_1.removeProp)(path, { propName: 'isQuiet' });
    // Remove isReadOnly
    (0, transforms_1.removeProp)(path, { propName: 'isReadOnly' });
    // Remove validationState
    (0, transforms_1.removeProp)(path, { propName: 'validationState' });
    // Remove validationBehavior
    (0, transforms_1.removeProp)(path, { propName: 'validationBehavior' });
}
