"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = transformItem;
const transforms_1 = require("../../shared/transforms");
/**
 * Transforms Item:
 * - If within Menu: Update Item to be a MenuItem.
 * - If within ActionMenu: Update Item to be a MenuItem.
 * - If within TagGroup: Update Item to be a Tag.
 * - If within Breadcrumbs: Update Item to be a Breadcrumb.
 * - If within Picker: Update Item to be a PickerItem.
 * - If within ComboBox: Update Item to be a ComboBoxItem.
 * - Update key to id (and keep key if rendered inside array.map).
 */
function transformItem(path) {
    // Update Items based on parent collection component
    (0, transforms_1.updateComponentWithinCollection)(path, { parentComponentName: 'Menu', newComponentName: 'MenuItem' });
    (0, transforms_1.updateComponentWithinCollection)(path, { parentComponentName: 'ActionMenu', newComponentName: 'MenuItem' });
    (0, transforms_1.updateComponentWithinCollection)(path, { parentComponentName: 'TagGroup', newComponentName: 'Tag' });
    (0, transforms_1.updateComponentWithinCollection)(path, { parentComponentName: 'Breadcrumbs', newComponentName: 'Breadcrumb' });
    (0, transforms_1.updateComponentWithinCollection)(path, { parentComponentName: 'Picker', newComponentName: 'PickerItem' });
    (0, transforms_1.updateComponentWithinCollection)(path, { parentComponentName: 'ComboBox', newComponentName: 'ComboBoxItem' });
    // Comment if parent collection not detected
    (0, transforms_1.commentIfParentCollectionNotDetected)(path);
}
