"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = transformRadioGroup;
const transforms_1 = require("../../shared/transforms");
/**
 * Transforms RadioGroup:
 * - Change validationState="invalid" to isInvalid.
 * - Remove validationState="valid" (it is no longer supported in Spectrum 2).
 * - Remove showErrorIcon (it has been removed due to accessibility issues).
 */
function transformRadioGroup(path) {
    // Change validationState="invalid" to isInvalid
    (0, transforms_1.updatePropNameAndValue)(path, {
        oldPropName: 'validationState',
        oldPropValue: 'invalid',
        newPropName: 'isInvalid',
        newPropValue: true
    });
    // Remove validationState="valid"
    (0, transforms_1.removeProp)(path, { propName: 'validationState', propValue: 'valid' });
    // Remove showErrorIcon
    (0, transforms_1.removeProp)(path, { propName: 'showErrorIcon' });
}
