"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = transformRangeSlider;
const transforms_1 = require("../../shared/transforms");
/**
 * Transforms RangeSlider:
 * - Remove showValueLabel (it has been removed due to accessibility issues).
 * - Comment out getValueLabel (it has not been implemented yet).
 * - Comment out orientation (it has not been implemented yet).
 */
function transformRangeSlider(path) {
    // Remove showValueLabel
    (0, transforms_1.removeProp)(path, { propName: 'showValueLabel' });
    // Comment out getValueLabel
    (0, transforms_1.commentOutProp)(path, { propName: 'getValueLabel' });
    // Comment out orientation
    (0, transforms_1.commentOutProp)(path, { propName: 'orientation' });
}
