"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || (function () {
    var ownKeys = function(o) {
        ownKeys = Object.getOwnPropertyNames || function (o) {
            var ar = [];
            for (var k in o) if (Object.prototype.hasOwnProperty.call(o, k)) ar[ar.length] = k;
            return ar;
        };
        return ownKeys(o);
    };
    return function (mod) {
        if (mod && mod.__esModule) return mod;
        var result = {};
        if (mod != null) for (var k = ownKeys(mod), i = 0; i < k.length; i++) if (k[i] !== "default") __createBinding(result, mod, k[i]);
        __setModuleDefault(result, mod);
        return result;
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = transformRow;
const utils_1 = require("../../shared/utils");
const t = __importStar(require("@babel/types"));
const transforms_1 = require("../../shared/transforms");
/**
 * Updates the function signature of the Row component.
 */
function updateRowFunctionArg(path) {
    // Find the export function passed as a child
    let functionChild = path.get('children').find(childPath => childPath.isJSXExpressionContainer() &&
        childPath.get('expression').isArrowFunctionExpression());
    let tablePath = path.findParent((p) => t.isJSXElement(p.node) &&
        t.isJSXIdentifier(p.node.openingElement.name) &&
        (0, utils_1.getName)(path, p.node.openingElement.name) === 'TableView');
    let tableHeaderPath = tablePath?.get('children').find((child) => t.isJSXElement(child.node) &&
        t.isJSXIdentifier(child.node.openingElement.name) &&
        (0, utils_1.getName)(child, child.node.openingElement.name) === 'TableHeader');
    function findColumnKeyProp(path) {
        let columnKeyProp = 'id';
        path.traverse({
            JSXElement(columnPath) {
                if (t.isArrowFunctionExpression(columnPath.parentPath.node) &&
                    t.isJSXElement(columnPath.node) &&
                    t.isJSXIdentifier(columnPath.node.openingElement.name) &&
                    (0, utils_1.getName)(columnPath, columnPath.node.openingElement.name) === 'Column') {
                    let openingElement = columnPath.get('openingElement');
                    let keyPropPath = openingElement.get('attributes').find(attr => t.isJSXAttribute(attr.node) &&
                        (attr.node.name.name === 'key' || attr.node.name.name === 'id'));
                    keyPropPath?.traverse({
                        Identifier(innerPath) {
                            if (innerPath.node.name === 'column' &&
                                innerPath.parentPath.node.type === 'MemberExpression' &&
                                t.isIdentifier(innerPath.parentPath.node.property)) {
                                columnKeyProp = innerPath.parentPath.node.property.name;
                            }
                        }
                    });
                }
            }
        });
        return columnKeyProp || 'id';
    }
    let columnKey = findColumnKeyProp(tableHeaderPath);
    if (functionChild && functionChild.isJSXExpressionContainer()) {
        let arrowFuncPath = functionChild.get('expression');
        if (arrowFuncPath.isArrowFunctionExpression()) {
            let params = arrowFuncPath.node.params;
            if (params.length === 1 && t.isIdentifier(params[0])) {
                let paramName = params[0].name;
                // Rename parameter to 'column'
                params[0].name = 'column';
                // Replace references to the old parameter name inside the export function body
                arrowFuncPath.get('body').traverse({
                    Identifier(innerPath) {
                        if (innerPath.node.name === paramName &&
                            // Ensure we're not replacing the parameter declaration
                            innerPath.node !== params[0]) {
                            // Replace with column key
                            innerPath.replaceWith(t.memberExpression(t.identifier('column'), t.identifier(columnKey ?? 'id')));
                        }
                    }
                });
            }
        }
    }
}
/**
 * Transforms Row:
 * - Update key to id.
 * - Update function signature.
 */
function transformRow(path) {
    // Update key to id
    (0, transforms_1.updateKeyToId)(path);
    updateRowFunctionArg(path);
}
