"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = transformStatusLight;
const transforms_1 = require("../../shared/transforms");
/**
 * Transforms StatusLight:
 * - Remove isDisabled (it is no longer supported in Spectrum 2).
 * - Change variant="info" to variant="informative".
 */
function transformStatusLight(path) {
    // Remove isDisabled
    (0, transforms_1.removeProp)(path, { propName: 'isDisabled' });
    // Change variant="info" to variant="informative"
    (0, transforms_1.updatePropNameAndValue)(path, {
        oldPropName: 'variant',
        oldPropValue: 'info',
        newPropName: 'variant',
        newPropValue: 'informative'
    });
}
